edu.msu.cme.rdp.classifier

## Class ClassifierCmd

- java.lang.Object
- - edu.msu.cme.rdp.classifier.ClassifierCmd

    public class ClassifierCmd
    extends java.lang.Object

This is the legacy command line class to do the classification. See edu.msu.cme.rdp.multicompare.main

### Constructor Summary

Constructors
Constructor and Description
`ClassifierCmd()`

### Method Summary

Methods
`void` `doClassify(java.lang.String inputFile, java.lang.String outFile, java.lang.String propfile, ClassificationResultFormatter.FORMAT format, java.lang.String gene, int min_bootstrap_words)` It classifies query sequences from the input file.
`static void` `main(java.lang.String[] args)` This is the main method to do classification.
`static void` `printLicense()` Prints the license information to std err.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClassifierCmd

    public ClassifierCmd()

### Method Detail

#### doClassify

    public void doClassify(java.lang.String inputFile,
                  java.lang.String outFile,
                  java.lang.String propfile,
                  ClassificationResultFormatter.FORMAT format,
                  java.lang.String gene,
                  int min_bootstrap_words)
                    throws java.io.IOException,
                           TrainingDataException

It classifies query sequences from the input file. If the property file of the mapping of the training files is not null, the default property file will be override. The classification results will be writen to the output file.

Throws:
  `java.io.IOException`
  `TrainingDataException`

#### printLicense

    public static void printLicense()

Prints the license information to std err.

#### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

This is the main method to do classification.

Usage: java ClassifierCmd queryFile outputFile [property file].
queryFile can be one of the following formats: Fasta, Genbank and EMBL.
outputFile will be used to save the classification output.
property file contains the mapping of the training files.
Note: the training files and the property file should be in the same directory. The default property file is set to data/classifier/16srrna/rRNAClassifier.properties.

Throws:
  `java.lang.Exception`